@text-color: #ADADAD;
@primary-bg: #3C3F41;
@primary-border-color: #4B4B4B;
@primary-border: 1px solid @primary-border-color;
@primary-highlight-bg: #515658;

@secondary-bg: #323232;

@sidebar-bg: #3E434C;
@sidebar-current-item-bg: #4B6EAF;

@disabled-text-color: #808080;

@link-color: #4E9CD9;
@link-hover-color: #52639B;

@editor-bg: #2B2B2B;
@editor-text-color: #A8B6AD;
@editor-kw-color: #CC7832;
@editor-var-color: #8888C6;
@editor-line-number-bg: #313335;
@editor-line-number-color: #606366;

@input-color: @text-color;
@input-bg: #45494A;
@input-border-radius: 0px;
@input-border-color: #646464;
@input-border: 1px solid @input-border-color;

@button-top-color: #515658;
@button-bottom-color: #44494B;
@button-primary-top-color: #344A64;
@button-primary-bottom-color: #263549;  
@button-gradient: linear-gradient(@button-top-color, @button-bottom-color);
@button-primary-gradient: linear-gradient(@button-primary-top-color, @button-primary-bottom-color);
@button-border-color: #5F6161;
@button-border-radius: 4px;
@button-border: 1px solid @button-border-color;
@button-padding: 0.2em 1em;

@select-color: @text-color;
@select-bg: @primary-bg;
@select-border-radius: 3px;

@table-even-bg: @secondary-bg;
@table-odd-bg: lighten(@secondary-bg, 10%);


.textAndBackground() {
    background-color: @primary-bg;
    color: @text-color;
}

.basicLinkStyle() {
	&,
	&:visited{
		color: @link-color;
		&:hover,	
		&:focus{
			color: @link-hover-color;
		}
	}
}

.inputBase(){
	background-color: @input-bg;
	color: @text-color;
    border-radius: @input-border-radius;
    .inputBorderAndBoxShadow;
}

.inputBorderAndBoxShadow(){
    border: @input-border;
    box-shadow: none;
    &:hover{
        border: @input-border;
        box-shadow: none;
    }
    &:focus{
        box-shadow: 0 0 2px 1px @sidebar-current-item-bg;
        border-color: @sidebar-current-item-bg;
        &:hover{
            border-color: @sidebar-current-item-bg;
        }
    }
}


.buttonBase() {
    color: @text-color;
    border: @button-border;
    border-radius: @button-border-radius;
    border-color: @button-border-color;
}

.buttonDefault() {
    &,
    &:hover,
    &:focus{
        .buttonBase;
        background-image: @button-gradient;
    }
    
}

.buttonPrimary() {
    &,
    &:hover,
    &:focus{
        .buttonBase;
        background-image: @button-primary-gradient;
    }
}

.paddedButtonDefault() {
    .buttonDefault;
    padding: @button-padding;
}

.paddedButtonPrimary() { 
    .buttonPrimary;
    padding: @button-padding;
}

.tr-even(){
	color: @text-color;
	background-color: @table-even-bg;
}

.tr-odd(){
	color: @text-color;
	background-color: @table-odd-bg;
}

.codeQuote(){
    color: @editor-text-color;
    background-color: @editor-bg;
}